<?xml version="1.0" encoding="UTF-8"?>
<!--
*****************************************************************************
*   This file contains the XSLT code snippets for the custom mappings
*   defined using the IBM XML Mapping Editor V1.0.110
*
*   Mapping file:		TransformDocumentCheckListResponse.map
*   Map declaration(s):	TransformDocumentCheckListResponse
*   Input file(s):		smo://smo/name%3Dwsdl-primary/message%3D%257Bhttp%253A%252F%252Fwww.ibm.com%252Fxmlns%252Fprod%252Fwebsphere%252Ficp%252F2010%252F05%252Fbanking%252Fpayments%252Fservice%252FDocumentCheckList%257DidentifyDocumentCheckListResponseMsg/xpath%3D%252Fbody/smo.xsd, /ArrangementExtn.xsd
*   Output file(s):		smo://smo/name%3Dwsdl-primary/message%3D%257Bhttp%253A%252F%252FBKNAO%252FDocumentCheckList-AIS%257DinvokeResponseMsg/xpath%3D%252Fbody/smo.xsd
*
*   Custom code snippets are wrapped in top-level <xsl:template> 
*   elements. These <xsl:template> elements, in turn, are used to
*   interface with the custom mappings in the XML Mapping editor.
*****************************************************************************
-->
<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:xalan="http://xml.apache.org/xslt"
     xmlns:str="http://exslt.org/strings"
     xmlns:set="http://exslt.org/sets"
     xmlns:math="http://exslt.org/math"
     xmlns:fn="http://www.w3.org/2005/xpath-functions"
     xmlns:dp="http://www.datapower.com/extensions"
     xmlns:exsl="http://exslt.org/common"
     xmlns:date="http://exslt.org/dates-and-times"
     xmlns:in8="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/AccountingUnit"
     xmlns:in9="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/Arrangement"
     xmlns:in="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/Arrangement"
     xmlns:in2="http://www.ibm.com/xmlns/prod/websphere/icp/2010/05/banking/payments/schema/DocumentCheckList"
     xmlns:in10="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/msg/base"
     xmlns:in3="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/Core"
     xmlns:in11="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/Product"
     xmlns:in12="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/ResourceItem"
     xmlns:in4="http://www.ibm.com/xmlns/prod/websphere/icp/2010/05/banking/payments/service/DocumentCheckList"
     xmlns:in5="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/Common"
     xmlns:in6="wsdl.http://www.ibm.com/xmlns/prod/websphere/icp/2010/05/banking/payments/service/DocumentCheckList"
     xmlns:in7="http://www.ibm.com/xmlns/prod/websphere/icp/2010/07/banking/ifw/81/schema/InvolvedParty"
     xmlns:io="http://www.w3.org/2003/05/soap-envelope"
     xmlns:io3="http://www.ibm.com/xmlns/prod/websphere/mq/sca/6.0.0"
     xmlns:io2="http://www.ibm.com/websphere/sibx/smo/v6.0.1"
     xmlns:out="wsdl.http://BKNAO/DocumentCheckList-AIS"
     xmlns:io4="http://schemas.xmlsoap.org/ws/2004/08/addressing"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xmlns:io5="http://www.ibm.com/xmlns/prod/websphere/http/sca/6.1.0"
     xmlns:out2="http://www.ibm.com/xmlns/prod/websphere/icp/2011/04/business/banking/schema/Core"
     xmlns:out3="http://BKNAO/DocumentCheckList-AIS"
     xmlns:xs="http://www.w3.org/2001/XMLSchema"
     xmlns:io6="http://www.w3.org/2005/08/addressing"
     xmlns:map="http://NewAccountOpening-MM/xslt/TransformDocumentCheckListResponse"
     exclude-result-prefixes="in8 in9 in in2 in10 in3 in11 in12 in4 in5 in6 in7 str set math fn dp exsl date map xalan"
     version="1.0">
  <xsl:output method="xml" encoding="UTF-8" indent="yes" xalan:indent-amount="2"/>
  <xsl:strip-space elements="*"/>

  <!-- The rule represents a custom mapping: "in9:documents" to "out2:document". -->
  <xsl:template name="DocumentsToDocument">
    <xsl:param name="documents2"/>
    <!-- ADD CUSTOM CODE HERE. -->
    <out2:document>
      <xsl:for-each select="$documents2">
        
        <xsl:variable name="document1" select="."/>
        <xsl:if test="$document1 = &apos;Pay stubs&apos;">
        <!-- a simple mapping with no associated source:  to "payStubsEnabled"(boolean) -->
        <out2:payStubsEnabled>
          <xsl:text>true</xsl:text>
        </out2:payStubsEnabled>
      </xsl:if>
      <!-- variables for custom code -->
      <xsl:variable name="document2" select="."/>
      <xsl:if test="$document2 = &apos;W2 form&apos;">
        <!-- a simple mapping with no associated source:  to "w2formEnabled"(boolean) -->
        <out2:w2formEnabled>
          <xsl:text>true</xsl:text>
        </out2:w2formEnabled>
      </xsl:if>
      <!-- variables for custom code -->
      <xsl:variable name="document3" select="."/>
      <xsl:if test="$document3 = &apos;Two years of income tax returns&apos;">
        <!-- a simple mapping with no associated source:  to "twoYearsIncomeTaxReturnsEnabled"(boolean) -->
        <out2:twoYearsIncomeTaxReturnsEnabled>
          <xsl:text>true</xsl:text>
        </out2:twoYearsIncomeTaxReturnsEnabled>
      </xsl:if>
      <!-- variables for custom code -->
      <xsl:variable name="document4" select="."/>
      <xsl:if test="$document4 = &apos;Tax return&apos;">
        <!-- a simple mapping with no associated source:  to "taxReturnEnabled"(boolean) -->
        <out2:taxReturnEnabled>
          <xsl:text>true</xsl:text>
        </out2:taxReturnEnabled>
      </xsl:if>
      <!-- variables for custom code -->
      <xsl:variable name="document5" select="."/>
      <xsl:if test="$document5 = &apos;SSN Card&apos;">
        <!-- a simple mapping with no associated source:  to "ssnCardEnabled"(boolean) -->
        <out2:ssnCardEnabled>
          <xsl:text>true</xsl:text>
        </out2:ssnCardEnabled>
      </xsl:if>

      <!-- variables for custom code -->
      <xsl:variable name="document6" select="."/>
      <xsl:if test="$document6 = &apos;Driving License&apos;">
        <!-- a simple mapping with no associated source:  to "drivingLicenseEnabled"(boolean) -->
        <out2:drivingLicenseEnabled>
          <xsl:text>true</xsl:text>
        </out2:drivingLicenseEnabled>
      </xsl:if>
    
    <!-- variables for custom code -->
      <xsl:variable name="document7" select="."/>
      <xsl:if test="$document7 = &apos;Proof of Citizenship/PR&apos;">
        <!-- a simple mapping with no associated source:  to "proofOfCitizenshipEnabled"(boolean) -->
        <out2:proofOfCitizenshipEnabled>
          <xsl:text>true</xsl:text>
        </out2:proofOfCitizenshipEnabled>
      </xsl:if>

       <!-- variables for custom code -->
      <xsl:variable name="document8" select="."/>
      <xsl:if test="$document8 = &apos;Visa Information&apos;">
        <!-- a simple mapping with no associated source:  to "visaInfoEnabled"(boolean) -->
        <out2:visaInfoEnabled>
          <xsl:text>true</xsl:text>
        </out2:visaInfoEnabled>
      </xsl:if>
        
      </xsl:for-each>
    </out2:document>
  </xsl:template>
</xsl:stylesheet>