/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.entity;

import java.io.Serializable;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="ACCOUNT_STMNT", schema="BCP_NAO")
public class AccountStmnt extends  BankingBaseObject implements Serializable {
	@EmbeddedId
	private AccountStmntPK pk;

	private String statementtype;

	private String statementfrequency;

	@ManyToOne
	@JoinColumn(name="ARRANGEMENT_ID")
	private Arrangement arrangementId;

	private static final long serialVersionUID = 1L;

	public AccountStmnt() {
		super();
	}

	public AccountStmntPK getPk() {
		return this.pk;
	}

	public void setPk(AccountStmntPK pk) {
		this.pk = pk;
	}

	public String getStatementtype() {
		return this.statementtype;
	}

	public void setStatementtype(String statementtype) {
		this.statementtype = statementtype;
	}

	public String getStatementfrequency() {
		return this.statementfrequency;
	}

	public void setStatementfrequency(String statementfrequency) {
		this.statementfrequency = statementfrequency;
	}

	public Arrangement getArrangementId() {
		return this.arrangementId;
	}

	public void setArrangementId(Arrangement arrangementId) {
		this.arrangementId = arrangementId;
	}

}
