/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.entity;

import java.io.Serializable;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="ARRANGEMENT_DOCS", schema = "BCP_NAO")
public class ArrangementDocs extends  BankingBaseObject implements Serializable {
	@EmbeddedId
	private ArrangementDocsPK pk;

	private String document;

	@ManyToOne
	@JoinColumn(name="ARRANGEMENT_ID")
	private Arrangement arrangementId;

	private static final long serialVersionUID = 1L;

	public ArrangementDocs() {
		super();
	}

	public ArrangementDocsPK getPk() {
		return this.pk;
	}

	public void setPk(ArrangementDocsPK pk) {
		this.pk = pk;
	}

	public String getDocument() {
		return this.document;
	}

	public void setDocument(String document) {
		this.document = document;
	}

	public Arrangement getArrangementId() {
		return this.arrangementId;
	}

	public void setArrangementId(Arrangement arrangementId) {
		this.arrangementId = arrangementId;
	}

}
