/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

@Embeddable
public class ArrangementDocsPK implements Serializable {
	@Column(name="ARRANGEMENT_ID", insertable=false, updatable=false)
	private int arrangementId2;

	@Column(name="ARRANGEMENT_DOCS_ID")
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	private BigDecimal arrangementDocsId;

	private static final long serialVersionUID = 1L;

	public ArrangementDocsPK() {
		super();
	}

	public int getArrangementId2() {
		return this.arrangementId2;
	}

	public void setArrangementId2(int arrangementId2) {
		this.arrangementId2 = arrangementId2;
	}

	public BigDecimal getArrangementDocsId() {
		return this.arrangementDocsId;
	}

	public void setArrangementDocsId(BigDecimal arrangementDocsId) {
		this.arrangementDocsId = arrangementDocsId;
	}

	@Override
	public boolean equals(Object o) {
		if (o == this) {
			return true;
		}
		if ( ! (o instanceof ArrangementDocsPK)) {
			return false;
		}
		ArrangementDocsPK other = (ArrangementDocsPK) o;
		return (this.arrangementId2 == other.arrangementId2)
			&& (this.arrangementDocsId == other.arrangementDocsId);
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.arrangementId2;
		/*hash = hash * prime + this.arrangementDocsId;*/
		return hash;
	}

}
