/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.entity;

import static javax.persistence.GenerationType.IDENTITY;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="CONTACT_DETAILS", schema = "BCP_NAO")
public class ContactDetails extends BankingBaseObject implements Serializable {
	@Id
	@Column(name="CONTACT_DETAILS_ID")
	@GeneratedValue(strategy=IDENTITY)
	private int contactDetailsId;

	private String homephonenumber;

	private String mobile;

	private String email;

	private String preferredlanguage;

	private String preferredmedium;

	private String preferredtimeperiod;

	@ManyToOne
	@JoinColumn(name="CUSTOMER_ID")
	private Customer customerId;

	private static final long serialVersionUID = 1L;

	public ContactDetails() {
		super();
	}

	public int getContactDetailsId() {
		return this.contactDetailsId;
	}

	public void setContactDetailsId(int contactDetailsId) {
		this.contactDetailsId = contactDetailsId;
	}

	public String getHomephonenumber() {
		return this.homephonenumber;
	}

	public void setHomephonenumber(String homephonenumber) {
		this.homephonenumber = homephonenumber;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPreferredlanguage() {
		return this.preferredlanguage;
	}

	public void setPreferredlanguage(String preferredlanguage) {
		this.preferredlanguage = preferredlanguage;
	}

	public String getPreferredmedium() {
		return this.preferredmedium;
	}

	public void setPreferredmedium(String preferredmedium) {
		this.preferredmedium = preferredmedium;
	}

	public String getPreferredtimeperiod() {
		return this.preferredtimeperiod;
	}

	public void setPreferredtimeperiod(String preferredtimeperiod) {
		this.preferredtimeperiod = preferredtimeperiod;
	}

	public Customer getCustomerId() {
		return this.customerId;
	}

	public void setCustomerId(Customer customerId) {
		this.customerId = customerId;
	}

}
