/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.entity;

import static javax.persistence.GenerationType.IDENTITY;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import static javax.persistence.CascadeType.ALL;

@Entity
@Table(name="EMPLOYMENT_DETAILS", schema = "BCP_NAO")
public class EmploymentDetails extends BankingBaseObject implements Serializable {
	@Id
	@Column(name="EMPLOYMENT_DETAILS_ID")
	@GeneratedValue(strategy=IDENTITY)
	private int employmentDetailsId;

	private String type;

	private long annualincome;

	private String employername;

	private String position;

	private String homephonenumber;

	private String mobile;

	@ManyToOne
	@JoinColumn(name="CUSTOMER_ID")
	private Customer customerId;

	@ManyToOne(cascade=ALL)
	@JoinColumn(name="POSTAL_ADDRESS_ID")
	private PostalAddress postalAddressId;

	private static final long serialVersionUID = 1L;

	public EmploymentDetails() {
		super();
	}

	public int getEmploymentDetailsId() {
		return this.employmentDetailsId;
	}

	public void setEmploymentDetailsId(int employmentDetailsId) {
		this.employmentDetailsId = employmentDetailsId;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public long getAnnualincome() {
		return this.annualincome;
	}

	public void setAnnualincome(long annualincome) {
		this.annualincome = annualincome;
	}

	public String getEmployername() {
		return this.employername;
	}

	public void setEmployername(String employername) {
		this.employername = employername;
	}

	public String getPosition() {
		return this.position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getHomephonenumber() {
		return this.homephonenumber;
	}

	public void setHomephonenumber(String homephonenumber) {
		this.homephonenumber = homephonenumber;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Customer getCustomerId() {
		return this.customerId;
	}

	public void setCustomerId(Customer customerId) {
		this.customerId = customerId;
	}

	public PostalAddress getPostalAddressId() {
		return this.postalAddressId;
	}

	public void setPostalAddressId(PostalAddress postalAddressId) {
		this.postalAddressId = postalAddressId;
	}

}
