/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.entity;

import static javax.persistence.GenerationType.IDENTITY;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name="POSTAL_ADDRESS", schema = "BCP_NAO")
public class PostalAddress extends BankingBaseObject implements Serializable {
	@Id
	@Column(name="POSTAL_ADDRESS_ID")
	@GeneratedValue(strategy=IDENTITY)
	private int postalAddressId;

	private String addressline1;

	private String addressline2;

	private String city;

	private String state;

	private String country;

	private String postalcode;

	@OneToMany(mappedBy="postalAddressId")
	private Set<Customer> customerCollection;

	@OneToMany(mappedBy="postalAddressId")
	private Set<EmploymentDetails> employmentDetailsCollection;

	private static final long serialVersionUID = 1L;

	public PostalAddress() {
		super();
	}

	public int getPostalAddressId() {
		return this.postalAddressId;
	}

	public void setPostalAddressId(int postalAddressId) {
		this.postalAddressId = postalAddressId;
	}

	public String getAddressline1() {
		return this.addressline1;
	}

	public void setAddressline1(String addressline1) {
		this.addressline1 = addressline1;
	}

	public String getAddressline2() {
		return this.addressline2;
	}

	public void setAddressline2(String addressline2) {
		this.addressline2 = addressline2;
	}

	public String getCity() {
		return this.city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getState() {
		return this.state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getCountry() {
		return this.country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getPostalcode() {
		return this.postalcode;
	}

	public void setPostalcode(String postalcode) {
		this.postalcode = postalcode;
	}

	public Set<Customer> getCustomerCollection() {
		return this.customerCollection;
	}

	public void setCustomerCollection(Set<Customer> customerCollection) {
		this.customerCollection = customerCollection;
	}

	public Set<EmploymentDetails> getEmploymentDetailsCollection() {
		return this.employmentDetailsCollection;
	}

	public void setEmploymentDetailsCollection(Set<EmploymentDetails> employmentDetailsCollection) {
		this.employmentDetailsCollection = employmentDetailsCollection;
	}

}
