/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.entity;

import static javax.persistence.GenerationType.IDENTITY;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="RESIDENCE_DETAILS", schema = "BCP_NAO")
public class ResidenceDetails extends BankingBaseObject implements Serializable {
	@Id
	@Column(name="RESIDENCE_DETAILS_ID")
	@GeneratedValue(strategy=IDENTITY)
	private int residenceDetailsId;

	private String country;

	private String years;

	private String status;

	@ManyToOne
	@JoinColumn(name="CUSTOMER_ID")
	private Customer customerId;

	private static final long serialVersionUID = 1L;

	public ResidenceDetails() {
		super();
	}

	public int getResidenceDetailsId() {
		return this.residenceDetailsId;
	}

	public void setResidenceDetailsId(int residenceDetailsId) {
		this.residenceDetailsId = residenceDetailsId;
	}

	public String getCountry() {
		return this.country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getYears() {
		return this.years;
	}

	public void setYears(String years) {
		this.years = years;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Customer getCustomerId() {
		return this.customerId;
	}

	public void setCustomerId(Customer customerId) {
		this.customerId = customerId;
	}

}
