<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:bpm-udf="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5/functions/oneBPM" xmlns:bpmnx="http://www.ibm.com/xmlns/bpmnx/20100524/BusinessMonitoring" xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:evt="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.0.0/events/mad" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:ibm="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5/extensions" xmlns:mad="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mad" xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" xmlns:mon="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5" xmlns:sca="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component" xmlns:tns="http://New_x0020_Account_x0020_Opening" xmlns:wbi="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1" xmlns:wbm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions" xmlns:wle="http://www.ibm.com/xmlns/prod/websphere/lombardi/7.5" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" displayName="NewAccountOpeningMonitoringModel" id="NewAccountOpeningMonitoringModel" timestamp="2011-05-07T12:19:23Z">
  <xpathFunctions>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5/functions/oneBPM"/>
  </xpathFunctions>
  <monitorDetailsModel displayName="NewAccountOpeningMonitoringModel" id="MDM">
    <monitoringContext displayName="New Account Opening" id="New_Account_Opening">
      <inboundEvent displayName="Open New Account Start Event Event" id="Open_New_Account_Start_Event_Event" creationTimePath="Open_New_Account_Start_Event_Event/EventPointData/mon:time[@mon:of='occurrence']" eventSequenceIDPath="Open_New_Account_Start_Event_Event/EventPointData/ibm:sequenceId" globalInstanceIDPath="Open_New_Account_Start_Event_Event/BaseData/@mon:id" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <description>An event subscription for 'Start Event' event from the 'Open New Account' process.</description>
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"/>
        <eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"/>
        <eventPart displayName="WBMStartProcessID" id="WBMStartProcessID" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:correlation/wle:starting-process-instance" type="xs:string"/>
        <eventPart displayName="startTime" id="startTime" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='startTime']" type="xs:dateTime"/>
        <correlationPredicate expression="Starting_Process_Instance_ID = Open_New_Account_Start_Event_Event/WBMStartProcessID"/>
        <filter expression="Open_New_Account_Start_Event_Event/EventPointData/mon:model[1]/@mon:id = 'bpdid:62ff8e54bd8fbf5f:-16aa9236:12d54fe35ad:-7fc2' and Open_New_Account_Start_Event_Event/EventPointData/mon:model[1]/mon:name = 'Start Event' and fn:exists(Open_New_Account_Start_Event_Event/WBMStartProcessID)"/>
      </inboundEvent>
      <inboundEvent displayName="Submit And Accept Arrangement Start Approval Process Event" id="Submit_And_Accept_Arrangement_Start_Approval_Process_Event" creationTimePath="Submit_And_Accept_Arrangement_Start_Approval_Process_Event/EventPointData/mon:time[@mon:of='occurrence']" eventSequenceIDPath="Submit_And_Accept_Arrangement_Start_Approval_Process_Event/EventPointData/ibm:sequenceId" globalInstanceIDPath="Submit_And_Accept_Arrangement_Start_Approval_Process_Event/BaseData/@mon:id" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <description>An event subscription for 'Start Approval Process' event from the 'Submit And Accept Arrangement' process.</description>
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"/>
        <eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"/>
        <eventPart displayName="WBMStartProcessID" id="WBMStartProcessID" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:correlation/wle:starting-process-instance" type="xs:string"/>
        <eventPart displayName="startTimeForApproval" id="startTimeForApproval" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='startTimeForApproval']" type="xs:dateTime"/>
        <correlationPredicate expression="Starting_Process_Instance_ID = Submit_And_Accept_Arrangement_Start_Approval_Process_Event/WBMStartProcessID"/>
        <filter expression="Submit_And_Accept_Arrangement_Start_Approval_Process_Event/EventPointData/mon:model[1]/@mon:id = 'bpdid:62ff8e54bd8fbf5f:10990870:12d5081bdec:-7fdd' and Submit_And_Accept_Arrangement_Start_Approval_Process_Event/EventPointData/mon:model[1]/mon:name = 'Start Approval Process' and fn:exists(Submit_And_Accept_Arrangement_Start_Approval_Process_Event/WBMStartProcessID)"/>
      </inboundEvent>
      <inboundEvent displayName="Submit And Accept Arrangement End Approval Process Event" id="Submit_And_Accept_Arrangement_End_Approval_Process_Event" creationTimePath="Submit_And_Accept_Arrangement_End_Approval_Process_Event/EventPointData/mon:time[@mon:of='occurrence']" eventSequenceIDPath="Submit_And_Accept_Arrangement_End_Approval_Process_Event/EventPointData/ibm:sequenceId" globalInstanceIDPath="Submit_And_Accept_Arrangement_End_Approval_Process_Event/BaseData/@mon:id" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <description>An event subscription for 'End Approval Process' event from the 'Submit And Accept Arrangement' process.</description>
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"/>
        <eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"/>
        <eventPart displayName="WBMStartProcessID" id="WBMStartProcessID" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:correlation/wle:starting-process-instance" type="xs:string"/>
        <eventPart displayName="stopTimeForApproval" id="stopTimeForApproval" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='stopTimeForApproval']" type="xs:dateTime"/>
        <eventPart displayName="pathStatus" id="pathStatus" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='pathStatus']" type="xs:string"/>
        <eventPart displayName="status" id="status" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='status']" type="xs:string"/>
        <correlationPredicate expression="Starting_Process_Instance_ID = Submit_And_Accept_Arrangement_End_Approval_Process_Event/WBMStartProcessID"/>
        <filter expression="Submit_And_Accept_Arrangement_End_Approval_Process_Event/EventPointData/mon:model[1]/@mon:id = 'bpdid:62ff8e54bd8fbf5f:2c5e7e9f:12d4ab74926:-7fcd' and Submit_And_Accept_Arrangement_End_Approval_Process_Event/EventPointData/mon:model[1]/mon:name = 'End Approval Process' and fn:exists(Submit_And_Accept_Arrangement_End_Approval_Process_Event/WBMStartProcessID)"/>
      </inboundEvent>
      <inboundEvent displayName="Submit And Accept Arrangement STP Event" id="Submit_And_Accept_Arrangement_STP_Event" creationTimePath="Submit_And_Accept_Arrangement_STP_Event/EventPointData/mon:time[@mon:of='occurrence']" eventSequenceIDPath="Submit_And_Accept_Arrangement_STP_Event/EventPointData/ibm:sequenceId" globalInstanceIDPath="Submit_And_Accept_Arrangement_STP_Event/BaseData/@mon:id" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <description>An event subscription for 'STP' event from the 'Submit And Accept Arrangement' process.</description>
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"/>
        <eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"/>
        <eventPart displayName="WBMStartProcessID" id="WBMStartProcessID" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:correlation/wle:starting-process-instance" type="xs:string"/>
        <eventPart displayName="pathStatus" id="pathStatus" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='pathStatus']" type="xs:string"/>
        <correlationPredicate expression="Starting_Process_Instance_ID = Submit_And_Accept_Arrangement_STP_Event/WBMStartProcessID"/>
        <filter expression="Submit_And_Accept_Arrangement_STP_Event/EventPointData/mon:model[1]/@mon:id = 'bpdid:62ff8e54bd8fbf5f:2c5e7e9f:12d4ab74926:-7fc9' and Submit_And_Accept_Arrangement_STP_Event/EventPointData/mon:model[1]/mon:name = 'STP' and fn:exists(Submit_And_Accept_Arrangement_STP_Event/WBMStartProcessID)"/>
      </inboundEvent>
      <inboundEvent displayName="Open New Account New Account Opening Porcessed Event" id="Open_New_Account_New_Account_Opening_Porcessed_Event" creationTimePath="Open_New_Account_New_Account_Opening_Porcessed_Event/EventPointData/mon:time[@mon:of='occurrence']" eventSequenceIDPath="Open_New_Account_New_Account_Opening_Porcessed_Event/EventPointData/ibm:sequenceId" globalInstanceIDPath="Open_New_Account_New_Account_Opening_Porcessed_Event/BaseData/@mon:id" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <description>An event subscription for 'New Account Opening Porcessed' event from the 'Open New Account' process.</description>
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"/>
        <eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"/>
        <eventPart displayName="WBMStartProcessID" id="WBMStartProcessID" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:correlation/wle:starting-process-instance" type="xs:string"/>
        <eventPart displayName="Status" id="Status" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='Status']" type="xs:string"/>
        <eventPart displayName="NumberOfAccountProcessed" id="NumberOfAccountProcessed" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='NumberOfAccountProcessed']" type="xs:decimal"/>
        <eventPart displayName="endTime" id="endTime" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='endTime']" type="xs:dateTime"/>
        <eventPart displayName="AccountType" id="AccountType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='AccountType']" type="xs:string"/>
        <correlationPredicate expression="Starting_Process_Instance_ID = Open_New_Account_New_Account_Opening_Porcessed_Event/WBMStartProcessID"/>
        <filter expression="Open_New_Account_New_Account_Opening_Porcessed_Event/EventPointData/mon:model[1]/@mon:id = 'bpdid:62ff8e54bd8fbf5f:10990870:12d5081bdec:-7f94' and Open_New_Account_New_Account_Opening_Porcessed_Event/EventPointData/mon:model[1]/mon:name = 'New Account Opening Porcessed' and fn:exists(Open_New_Account_New_Account_Opening_Porcessed_Event/WBMStartProcessID)"/>
      </inboundEvent>
      <inboundEvent displayName="Open New Account Arrangement Activated Event" id="Open_New_Account_Arrangement_Activated_Event" creationTimePath="Open_New_Account_Arrangement_Activated_Event/EventPointData/mon:time[@mon:of='occurrence']" eventSequenceIDPath="Open_New_Account_Arrangement_Activated_Event/EventPointData/ibm:sequenceId" globalInstanceIDPath="Open_New_Account_Arrangement_Activated_Event/BaseData/@mon:id" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <description>An event subscription for 'Arrangement Activated' event from the 'Open New Account' process.</description>
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"/>
        <eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"/>
        <eventPart displayName="WBMStartProcessID" id="WBMStartProcessID" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:correlation/wle:starting-process-instance" type="xs:string"/>
        <eventPart displayName="ResidentialState" id="ResidentialState" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='ResidentialState']" type="xs:string"/>
        <correlationPredicate expression="Starting_Process_Instance_ID = Open_New_Account_Arrangement_Activated_Event/WBMStartProcessID"/>
        <filter expression="Open_New_Account_Arrangement_Activated_Event/EventPointData/mon:model[1]/@mon:id = 'bpdid:62ff8e54bd8fbf5f:10990870:12d5081bdec:-7fcc' and Open_New_Account_Arrangement_Activated_Event/EventPointData/mon:model[1]/mon:name = 'Arrangement Activated' and fn:exists(Open_New_Account_Arrangement_Activated_Event/WBMStartProcessID)"/>
      </inboundEvent>
      <inboundEvent displayName="Open New Account Event Start Event" id="Open_New_Account_Event_Start_Event" creationTimePath="Open_New_Account_Event_Start_Event/EventPointData/mon:time[@mon:of='occurrence']" eventSequenceIDPath="Open_New_Account_Event_Start_Event/EventPointData/ibm:sequenceId" globalInstanceIDPath="Open_New_Account_Event_Start_Event/BaseData/@mon:id" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <description>An event subscription for 'Event Start' event from the 'Open New Account' process.</description>
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"/>
        <eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"/>
        <eventPart displayName="WBMStartProcessID" id="WBMStartProcessID" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:correlation/wle:starting-process-instance" type="xs:string"/>
        <eventPart displayName="startTime" id="startTime" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point/wle:tracked-field[@wle:name='startTime']" type="xs:dateTime"/>
        <correlationPredicate expression="Starting_Process_Instance_ID = Open_New_Account_Event_Start_Event/WBMStartProcessID"/>
        <filter expression="Open_New_Account_Event_Start_Event/EventPointData/mon:model[1]/@mon:id = 'bpdid:0ac114d7fc50b6d8:-2a55761e:12fbeb07cee:-7ff9' and Open_New_Account_Event_Start_Event/EventPointData/mon:model[1]/mon:name = 'Event Start' and fn:exists(Open_New_Account_Event_Start_Event/WBMStartProcessID)"/>
      </inboundEvent>
      <trigger displayName="New Account Opening Process App Termination Trigger" id="bmon_termination_trigger" terminateContext="true">
        <description>This is an internal trigger that is fired to terminate the monitoring context instance 30 days after the last event arrived. You can update this trigger to change how to terminate the monitoring context.</description>
        <evaluationTime days="30" hours="0" minutes="0"/>
        <gatingCondition expression="fn:current-dateTime() - ( if ( fn:exists( bmon_termination_metric ) ) then bmon_termination_metric else fn:current-dateTime() ) > xs:dayTimeDuration(&quot;P30D&quot;)"/>
      </trigger>
      <metric displayName="Starting Process Instance ID" id="Starting_Process_Instance_ID" type="xsd:string" isPartOfKey="true">
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_Event_Start_Event/WBMStartProcessID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_Arrangement_Activated_Event/WBMStartProcessID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Submit_And_Accept_Arrangement_End_Approval_Process_Event/WBMStartProcessID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_New_Account_Opening_Porcessed_Event/WBMStartProcessID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Submit_And_Accept_Arrangement_STP_Event/WBMStartProcessID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Submit_And_Accept_Arrangement_Start_Approval_Process_Event/WBMStartProcessID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_Start_Event_Event/WBMStartProcessID"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="Aux Last Event Time" id="bmon_termination_metric" type="xs:dateTime">
        <description>This is an internal metric that captures the time of the last event arrived.</description>
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_Start_Event_Event/predefinedData/creationTime"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Submit_And_Accept_Arrangement_Start_Approval_Process_Event/predefinedData/creationTime"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Submit_And_Accept_Arrangement_End_Approval_Process_Event/predefinedData/creationTime"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Submit_And_Accept_Arrangement_STP_Event/predefinedData/creationTime"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_New_Account_Opening_Porcessed_Event/predefinedData/creationTime"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_Arrangement_Activated_Event/predefinedData/creationTime"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Open_New_Account_Event_Start_Event/predefinedData/creationTime"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="startTime (OpenNewAccountTrackingGroup)" id="bmon_f_startTime__OpenNewAccountTrackingGroup_" type="xsd:dateTime">
        <description>This metric captures the value of 'startTime (OpenNewAccountTrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Open_New_Account_Start_Event_Event/startTime)) then xs:dateTime(Open_New_Account_Start_Event_Event/startTime) else bmon_f_startTime__OpenNewAccountTrackingGroup_"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Open_New_Account_Event_Start_Event/startTime)) then xs:dateTime(Open_New_Account_Event_Start_Event/startTime) else bmon_f_startTime__OpenNewAccountTrackingGroup_"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="startTimeForApproval (SATrackingGroup)" id="bmon_f_startTimeForApproval__SATrackingGroup_" type="xsd:dateTime">
        <description>This metric captures the value of 'startTimeForApproval (SATrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Submit_And_Accept_Arrangement_Start_Approval_Process_Event/startTimeForApproval)) then xs:dateTime(Submit_And_Accept_Arrangement_Start_Approval_Process_Event/startTimeForApproval) else bmon_f_startTimeForApproval__SATrackingGroup_"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="stopTimeForApproval (SATrackingGroup)" id="bmon_f_stopTimeForApproval__SATrackingGroup_" type="xsd:dateTime">
        <description>This metric captures the value of 'stopTimeForApproval (SATrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Submit_And_Accept_Arrangement_End_Approval_Process_Event/stopTimeForApproval)) then xs:dateTime(Submit_And_Accept_Arrangement_End_Approval_Process_Event/stopTimeForApproval) else bmon_f_stopTimeForApproval__SATrackingGroup_"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="pathStatus (SATrackingGroup)" id="bmon_f_pathStatus__SATrackingGroup_" type="xsd:string" maxStringLength="512" valueRequired="true">
        <description>This metric captures the value of 'pathStatus (SATrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Submit_And_Accept_Arrangement_End_Approval_Process_Event/pathStatus)) then (if (fn:string-length(Submit_And_Accept_Arrangement_End_Approval_Process_Event/pathStatus) > 512) then fn:substring(Submit_And_Accept_Arrangement_End_Approval_Process_Event/pathStatus, 1, 512) else Submit_And_Accept_Arrangement_End_Approval_Process_Event/pathStatus) else bmon_f_pathStatus__SATrackingGroup_"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Submit_And_Accept_Arrangement_STP_Event/pathStatus)) then (if (fn:string-length(Submit_And_Accept_Arrangement_STP_Event/pathStatus) > 512) then fn:substring(Submit_And_Accept_Arrangement_STP_Event/pathStatus, 1, 512) else Submit_And_Accept_Arrangement_STP_Event/pathStatus) else bmon_f_pathStatus__SATrackingGroup_"/>
          </outputValue>
        </map>
        <defaultValue>
          <singleValue expression="' '"/>
        </defaultValue>
      </metric>
      <metric displayName="status (SATrackingGroup)" id="bmon_f_status__SATrackingGroup_" type="xsd:string" maxStringLength="512" valueRequired="true">
        <description>This metric captures the value of 'status (SATrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Submit_And_Accept_Arrangement_End_Approval_Process_Event/status)) then (if (fn:string-length(Submit_And_Accept_Arrangement_End_Approval_Process_Event/status) > 512) then fn:substring(Submit_And_Accept_Arrangement_End_Approval_Process_Event/status, 1, 512) else Submit_And_Accept_Arrangement_End_Approval_Process_Event/status) else bmon_f_status__SATrackingGroup_"/>
          </outputValue>
        </map>
        <defaultValue>
          <singleValue expression="' '"/>
        </defaultValue>
      </metric>
      <metric displayName="Status (OpenNewAccountTrackingGroup)" id="bmon_f_Status__OpenNewAccountTrackingGroup_" type="xsd:string" maxStringLength="512" valueRequired="true">
        <description>This metric captures the value of 'Status (OpenNewAccountTrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Open_New_Account_New_Account_Opening_Porcessed_Event/Status)) then (if (fn:string-length(Open_New_Account_New_Account_Opening_Porcessed_Event/Status) > 512) then fn:substring(Open_New_Account_New_Account_Opening_Porcessed_Event/Status, 1, 512) else Open_New_Account_New_Account_Opening_Porcessed_Event/Status) else bmon_f_Status__OpenNewAccountTrackingGroup_"/>
          </outputValue>
        </map>
        <defaultValue>
          <singleValue expression="' '"/>
        </defaultValue>
      </metric>
      <metric displayName="NumberOfAccountProcessed (OpenNewAccountTrackingGroup)" id="bmon_f_NumberOfAccountProcessed__OpenNewAccountTrackingGroup_" type="xsd:decimal">
        <description>This metric captures the value of 'NumberOfAccountProcessed (OpenNewAccountTrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Open_New_Account_New_Account_Opening_Porcessed_Event/NumberOfAccountProcessed)) then Open_New_Account_New_Account_Opening_Porcessed_Event/NumberOfAccountProcessed else bmon_f_NumberOfAccountProcessed__OpenNewAccountTrackingGroup_"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="endTime (OpenNewAccountTrackingGroup)" id="bmon_f_endTime__OpenNewAccountTrackingGroup_" type="xsd:dateTime">
        <description>This metric captures the value of 'endTime (OpenNewAccountTrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Open_New_Account_New_Account_Opening_Porcessed_Event/endTime)) then xs:dateTime(Open_New_Account_New_Account_Opening_Porcessed_Event/endTime) else bmon_f_endTime__OpenNewAccountTrackingGroup_"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="AccountType (OpenNewAccountTrackingGroup)" id="bmon_f_AccountType__OpenNewAccountTrackingGroup_" type="xsd:string" maxStringLength="512" valueRequired="true">
        <description>This metric captures the value of 'AccountType (OpenNewAccountTrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Open_New_Account_New_Account_Opening_Porcessed_Event/AccountType)) then (if (fn:string-length(Open_New_Account_New_Account_Opening_Porcessed_Event/AccountType) > 512) then fn:substring(Open_New_Account_New_Account_Opening_Porcessed_Event/AccountType, 1, 512) else Open_New_Account_New_Account_Opening_Porcessed_Event/AccountType) else bmon_f_AccountType__OpenNewAccountTrackingGroup_"/>
          </outputValue>
        </map>
        <defaultValue>
          <singleValue expression="' '"/>
        </defaultValue>
      </metric>
      <metric displayName="ResidentialState (OpenNewAccountTrackingGroup)" id="bmon_f_ResidentialState__OpenNewAccountTrackingGroup_" type="xsd:string" maxStringLength="512" valueRequired="true">
        <description>This metric captures the value of 'ResidentialState (OpenNewAccountTrackingGroup)' tracked field.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(Open_New_Account_Arrangement_Activated_Event/ResidentialState)) then (if (fn:string-length(Open_New_Account_Arrangement_Activated_Event/ResidentialState) > 512) then fn:substring(Open_New_Account_Arrangement_Activated_Event/ResidentialState, 1, 512) else Open_New_Account_Arrangement_Activated_Event/ResidentialState) else bmon_f_ResidentialState__OpenNewAccountTrackingGroup_"/>
          </outputValue>
        </map>
        <defaultValue>
          <singleValue expression="' '"/>
        </defaultValue>
      </metric>
      <metric displayName="Aux ProcessingTime End Point" id="bmon_ti_Aux_ProcessingTime_End_Point" type="xsd:dateTime">
        <description>This is an internal metric that captures when the 'ProcessingTime' timing interval stops counting.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(bmon_ti_Aux_ProcessingTime_End_Point) or xs:dateTime(Open_New_Account_New_Account_Opening_Porcessed_Event/EventPointData/mon:time) > bmon_ti_Aux_ProcessingTime_End_Point) then xs:dateTime(Open_New_Account_New_Account_Opening_Porcessed_Event/EventPointData/mon:time) else bmon_ti_Aux_ProcessingTime_End_Point"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="Aux ProcessingTime Start Point" id="bmon_ti_Aux_ProcessingTime_Start_Point" type="xsd:dateTime">
        <description>This is an internal metric that captures when the 'ProcessingTime' timing interval starts counting.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(bmon_ti_Aux_ProcessingTime_Start_Point) or xs:dateTime(Open_New_Account_Start_Event_Event/EventPointData/mon:time) &lt; bmon_ti_Aux_ProcessingTime_Start_Point) then xs:dateTime(Open_New_Account_Start_Event_Event/EventPointData/mon:time) else bmon_ti_Aux_ProcessingTime_Start_Point"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="ProcessingTime" id="bmon_ti_ProcessingTime" type="xsd:duration">
        <description>This duration metric captures the 'ProcessingTime' timing interval in the 'New Account Opening Process App' process application.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(bmon_ti_Aux_ProcessingTime_Start_Point) and fn:exists(bmon_ti_Aux_ProcessingTime_End_Point)) then bmon_ti_Aux_ProcessingTime_End_Point - bmon_ti_Aux_ProcessingTime_Start_Point else bmon_ti_ProcessingTime"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="Aux TurnedAroundTime Start Point" id="bmon_ti_Aux_TurnedAroundTime_Start_Point" type="xsd:dateTime">
        <description>This is an internal metric that captures when the 'TurnedAroundTime' timing interval starts counting.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(bmon_ti_Aux_TurnedAroundTime_Start_Point) or xs:dateTime(Submit_And_Accept_Arrangement_Start_Approval_Process_Event/EventPointData/mon:time) &lt; bmon_ti_Aux_TurnedAroundTime_Start_Point) then xs:dateTime(Submit_And_Accept_Arrangement_Start_Approval_Process_Event/EventPointData/mon:time) else bmon_ti_Aux_TurnedAroundTime_Start_Point"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="Aux TurnedAroundTime End Point" id="bmon_ti_Aux_TurnedAroundTime_End_Point" type="xsd:dateTime">
        <description>This is an internal metric that captures when the 'TurnedAroundTime' timing interval stops counting.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(bmon_ti_Aux_TurnedAroundTime_End_Point) or xs:dateTime(Submit_And_Accept_Arrangement_End_Approval_Process_Event/EventPointData/mon:time) > bmon_ti_Aux_TurnedAroundTime_End_Point) then xs:dateTime(Submit_And_Accept_Arrangement_End_Approval_Process_Event/EventPointData/mon:time) else bmon_ti_Aux_TurnedAroundTime_End_Point"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="TurnedAroundTime" id="bmon_ti_TurnedAroundTime" type="xsd:duration">
        <description>This duration metric captures the 'TurnedAroundTime' timing interval in the 'New Account Opening Process App' process application.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:exists(bmon_ti_Aux_TurnedAroundTime_Start_Point) and fn:exists(bmon_ti_Aux_TurnedAroundTime_End_Point)) then bmon_ti_Aux_TurnedAroundTime_End_Point - bmon_ti_Aux_TurnedAroundTime_Start_Point else bmon_ti_TurnedAroundTime"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="Snapshot ID" id="Snapshot_ID" type="xsd:string">
        <description>This metric captures the snapshot ID reported in the monitoring event.</description>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(Snapshot_ID)) then bpm-udf:get-version(Open_New_Account_Start_Event_Event/WBMStartProcessID) else Snapshot_ID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(Snapshot_ID)) then bpm-udf:get-version(Submit_And_Accept_Arrangement_Start_Approval_Process_Event/WBMStartProcessID) else Snapshot_ID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(Snapshot_ID)) then bpm-udf:get-version(Submit_And_Accept_Arrangement_End_Approval_Process_Event/WBMStartProcessID) else Snapshot_ID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(Snapshot_ID)) then bpm-udf:get-version(Submit_And_Accept_Arrangement_STP_Event/WBMStartProcessID) else Snapshot_ID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(Snapshot_ID)) then bpm-udf:get-version(Open_New_Account_New_Account_Opening_Porcessed_Event/WBMStartProcessID) else Snapshot_ID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(Snapshot_ID)) then bpm-udf:get-version(Open_New_Account_Arrangement_Activated_Event/WBMStartProcessID) else Snapshot_ID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="if (fn:empty(Snapshot_ID)) then bpm-udf:get-version(Open_New_Account_Event_Start_Event/WBMStartProcessID) else Snapshot_ID"/>
          </outputValue>
        </map>
      </metric>
    </monitoringContext>
  </monitorDetailsModel>
  <kpiModel displayName="NewAccountOpeningMonitoringModel" id="KM">
  	<kpiContext displayName="New Account Opening KC" id="New_Account_Opening_KC">
  		<kpi displayName="New Account Opening - Arizona" id="New_Account_Opening_-_Arizona" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="New_Account_Opening"/>
  				<metric ref="Starting_Process_Instance_ID"/>
  				<metricFilter ref="bmon_f_ResidentialState__OpenNewAccountTrackingGroup_" operator="equals">
  					<value expression="'AZ'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="bmon_f_startTime__OpenNewAccountTrackingGroup_">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="New Account Opening - California" id="New_Account_Opening_-_California" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="New_Account_Opening"/>
  				<metric ref="Starting_Process_Instance_ID"/>
  				<metricFilter ref="bmon_f_ResidentialState__OpenNewAccountTrackingGroup_" operator="equals">
  					<value expression="'CA'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="bmon_f_startTime__OpenNewAccountTrackingGroup_">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="New Account Opening - Montana" id="New_Account_Opening_-_Montana" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="New_Account_Opening"/>
  				<metric ref="Starting_Process_Instance_ID"/>
  				<metricFilter ref="bmon_f_ResidentialState__OpenNewAccountTrackingGroup_" operator="equals">
  					<value expression="'MT'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="bmon_f_startTime__OpenNewAccountTrackingGroup_">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="New Account Opening - New York" id="New_Account_Opening_-_New_York" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="New_Account_Opening"/>
  				<metric ref="Starting_Process_Instance_ID"/>
  				<metricFilter ref="bmon_f_ResidentialState__OpenNewAccountTrackingGroup_" operator="equals">
  					<value expression="'NY'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="bmon_f_startTime__OpenNewAccountTrackingGroup_">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="New Account Opening - Texas" id="New_Account_Opening_-_Texas" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="New_Account_Opening"/>
  				<metric ref="Starting_Process_Instance_ID"/>
  				<metricFilter ref="bmon_f_ResidentialState__OpenNewAccountTrackingGroup_" operator="equals">
  					<value expression="'TX'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="bmon_f_startTime__OpenNewAccountTrackingGroup_">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  	</kpiContext>
  </kpiModel>
  <dimensionalModel displayName="New Account Opening Dimensional Model" id="DMM">
    <cube displayName="New Account Opening Process App" id="New_Account_Opening" monitoringContext="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening">
      <measure displayName="Average NumberOfAccountProcessed (OpenNewAccountTrackingGroup)" id="Average_NumberOfAccountProcessed__OpenNewAccountTrackingGroup_" aggregationType="avg" source="bmon_f_NumberOfAccountProcessed__OpenNewAccountTrackingGroup_">
        <description>This measure captures the average of the value in 'Average NumberOfAccountProcessed (OpenNewAccountTrackingGroup)' tracked field metric in all monitoring context instances.</description>
      </measure>
      <measure displayName="Average ProcessingTime" id="Average_ProcessingTime" aggregationType="avg" source="bmon_ti_ProcessingTime">
        <description>This measure captures the average duration of the 'ProcessingTime' timing interval in all monitoring context instances.</description>
      </measure>
      <measure displayName="Average TurnedAroundTime" id="Average_TurnedAroundTime" aggregationType="avg" source="bmon_ti_TurnedAroundTime">
        <description>This measure captures the average duration of the 'TurnedAroundTime' timing interval in all monitoring context instances.</description>
      </measure>
      <dimension displayName="startTime (OpenNewAccountTrackingGroup)" id="startTime__OpenNewAccountTrackingGroup_">
        <description>A dimension for the tracked field metric: startTime (OpenNewAccountTrackingGroup)</description>
        <attribute displayName="startTime (OpenNewAccountTrackingGroup)" id="startTime__OpenNewAccountTrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_startTime__OpenNewAccountTrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: startTime (OpenNewAccountTrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="startTimeForApproval (SATrackingGroup)" id="startTimeForApproval__SATrackingGroup_">
        <description>A dimension for the tracked field metric: startTimeForApproval (SATrackingGroup)</description>
        <attribute displayName="startTimeForApproval (SATrackingGroup)" id="startTimeForApproval__SATrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_startTimeForApproval__SATrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: startTimeForApproval (SATrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="stopTimeForApproval (SATrackingGroup)" id="stopTimeForApproval__SATrackingGroup_">
        <description>A dimension for the tracked field metric: stopTimeForApproval (SATrackingGroup)</description>
        <attribute displayName="stopTimeForApproval (SATrackingGroup)" id="stopTimeForApproval__SATrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_stopTimeForApproval__SATrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: stopTimeForApproval (SATrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="pathStatus (SATrackingGroup)" id="pathStatus__SATrackingGroup_">
        <description>A dimension for the tracked field metric: pathStatus (SATrackingGroup)</description>
        <attribute displayName="pathStatus (SATrackingGroup)" id="pathStatus__SATrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_pathStatus__SATrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: pathStatus (SATrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="status (SATrackingGroup)" id="status__SATrackingGroup_">
        <description>A dimension for the tracked field metric: status (SATrackingGroup)</description>
        <attribute displayName="status (SATrackingGroup)" id="status__SATrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_status__SATrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: status (SATrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="Status (OpenNewAccountTrackingGroup)" id="Status__OpenNewAccountTrackingGroup_">
        <description>A dimension for the tracked field metric: Status (OpenNewAccountTrackingGroup)</description>
        <attribute displayName="Status (OpenNewAccountTrackingGroup)" id="Status__OpenNewAccountTrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_Status__OpenNewAccountTrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: Status (OpenNewAccountTrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="endTime (OpenNewAccountTrackingGroup)" id="endTime__OpenNewAccountTrackingGroup_">
        <description>A dimension for the tracked field metric: endTime (OpenNewAccountTrackingGroup)</description>
        <attribute displayName="endTime (OpenNewAccountTrackingGroup)" id="endTime__OpenNewAccountTrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_endTime__OpenNewAccountTrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: endTime (OpenNewAccountTrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="AccountType (OpenNewAccountTrackingGroup)" id="AccountType__OpenNewAccountTrackingGroup_">
        <description>A dimension for the tracked field metric: AccountType (OpenNewAccountTrackingGroup)</description>
        <attribute displayName="AccountType (OpenNewAccountTrackingGroup)" id="AccountType__OpenNewAccountTrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_AccountType__OpenNewAccountTrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: AccountType (OpenNewAccountTrackingGroup)</description>
        </attribute>
      </dimension>
      <dimension displayName="ResidentialState (OpenNewAccountTrackingGroup)" id="ResidentialState__OpenNewAccountTrackingGroup_">
        <description>A dimension for the tracked field metric: ResidentialState (OpenNewAccountTrackingGroup)</description>
        <attribute displayName="ResidentialState (OpenNewAccountTrackingGroup)" id="ResidentialState__OpenNewAccountTrackingGroup_" attributeSource="/NewAccountOpeningMonitoringModel/MDM/New_Account_Opening/bmon_f_ResidentialState__OpenNewAccountTrackingGroup_" level="1">
          <description>A dimension for the tracked field metric: ResidentialState (OpenNewAccountTrackingGroup)</description>
        </attribute>
      </dimension>
    </cube>
  </dimensionalModel>
  <visualModel id="VM">
  	<visualization context="KM/New_Account_Opening_KC">
  		<shapeSets>
  			<shapeSet displayName="CA" id="CA">
  				<shapes>CA</shapes>
  			</shapeSet>
  			<shapeSet displayName="OR" id="OR">
  				<shapes>OR</shapes>
  			</shapeSet>
  			<shapeSet displayName="NV" id="NV">
  				<shapes>NV</shapes>
  			</shapeSet>
  			<shapeSet displayName="AZ" id="AZ">
  				<shapes>AZ</shapes>
  			</shapeSet>
  			<shapeSet displayName="ID" id="ID">
  				<shapes>ID</shapes>
  			</shapeSet>
  			<shapeSet displayName="UT" id="UT">
  				<shapes>UT</shapes>
  			</shapeSet>
  			<shapeSet displayName="MT" id="MT">
  				<shapes>MT</shapes>
  			</shapeSet>
  			<shapeSet displayName="WY" id="WY">
  				<shapes>WY</shapes>
  			</shapeSet>
  			<shapeSet displayName="NM" id="NM">
  				<shapes>NM</shapes>
  			</shapeSet>
  			<shapeSet displayName="CO" id="CO">
  				<shapes>CO</shapes>
  			</shapeSet>
  			<shapeSet displayName="TX" id="TX">
  				<shapes>TX</shapes>
  			</shapeSet>
  			<shapeSet displayName="NE" id="NE">
  				<shapes>NE</shapes>
  			</shapeSet>
  			<shapeSet displayName="SD" id="SD">
  				<shapes>SD</shapes>
  			</shapeSet>
  			<shapeSet displayName="ND" id="ND">
  				<shapes>ND</shapes>
  			</shapeSet>
  			<shapeSet displayName="OK" id="OK">
  				<shapes>OK</shapes>
  			</shapeSet>
  			<shapeSet displayName="KS" id="KS">
  				<shapes>KS</shapes>
  			</shapeSet>
  			<shapeSet displayName="MN" id="MN">
  				<shapes>MN</shapes>
  			</shapeSet>
  			<shapeSet displayName="IA" id="IA">
  				<shapes>IA</shapes>
  			</shapeSet>
  			<shapeSet displayName="MO" id="MO">
  				<shapes>MO</shapes>
  			</shapeSet>
  			<shapeSet displayName="AR" id="AR">
  				<shapes>AR</shapes>
  			</shapeSet>
  			<shapeSet displayName="TN" id="TN">
  				<shapes>TN</shapes>
  			</shapeSet>
  			<shapeSet displayName="GA" id="GA">
  				<shapes>GA</shapes>
  			</shapeSet>
  			<shapeSet displayName="TX3" id="TX3">
  				<shapes>TX3</shapes>
  			</shapeSet>
  			<shapeSet displayName="TX1" id="TX1">
  				<shapes>TX1</shapes>
  			</shapeSet>
  			<shapeSet displayName="CA1" id="CA1">
  				<shapes>CA1</shapes>
  			</shapeSet>
  			<shapeSet displayName="AZ1" id="AZ1">
  				<shapes>AZ1</shapes>
  			</shapeSet>
  			<shapeSet displayName="MT1" id="MT1">
  				<shapes>MT1</shapes>
  			</shapeSet>
  			<shapeSet displayName="AMM" id="AMM">
  				<shapes>AMM</shapes>
  			</shapeSet>
  			<shapeSet displayName="AZ3" id="AZ3">
  				<shapes>AZ3</shapes>
  			</shapeSet>
  			<shapeSet displayName="MT3" id="MT3">
  				<shapes>MT3</shapes>
  			</shapeSet>
  			<shapeSet displayName="CA3" id="CA3">
  				<shapes>CA3</shapes>
  			</shapeSet>
  			<shapeSet displayName="NY1" id="NY1">
  				<shapes>NY1</shapes>
  			</shapeSet>
  			<shapeSet displayName="NY3" id="NY3">
  				<shapes>NY3</shapes>
  			</shapeSet>
  		</shapeSets>
  		<actions>
  			<setText textValue="New_Account_Opening_-_Texas" textColor="#008000">
  				<shapeSet ref="TX3"/>
  			</setText>
  			<setText textValue="New_Account_Opening_-_Arizona" textColor="#008000">
  				<shapeSet ref="AZ3"/>
  			</setText>
  			<setText textValue="New_Account_Opening_-_California" textColor="#008000">
  				<shapeSet ref="CA3"/>
  			</setText>
  			<setText textValue="New_Account_Opening_-_New_York" textColor="#008000">
  				<shapeSet ref="NY3"/>
  			</setText>
  			<setText textValue="New_Account_Opening_-_Montana" textColor="#008000">
  				<shapeSet ref="MT3"/>
  			</setText>
  		</actions>
  		<svgDocument>
  			<import location="/NewAccountOpeningMMProject/Banking_US.svg"/>
  		</svgDocument>
  	</visualization>
  </visualModel>
  <eventModel id="EM">
    <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5/extensions"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/lombardi/7.5"/>
    <import namespace="http://www.w3.org/2001/XMLSchema"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component"/>
  </eventModel>
</mm:monitor>