CREATE DATABASE WICPDB AUTOMATIC STORAGE YES  ON 'C:\' DBPATH ON 'C:\' ALIAS WICPDB USING CODESET UTF-8 TERRITORY US COLLATE USING SYSTEM PAGESIZE 32768;


CONNECT TO WICPDB user $DBUSER$ using '$DBPASSWORD$' ;

CREATE TABLE BCP_NAO.TERM (
		TERM_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		YEARS INTEGER,
		MONTHS INTEGER,
		DAYS INTEGER,
		ARRANGEMENT_ID INTEGER
	);

CREATE TABLE BCP_NAO.ACCOUNT_STMNT (
		ACCOUNT_STMNT_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		STATEMENTTYPE VARCHAR(20),
		STATEMENTFREQUENCY VARCHAR(20),
		ARRANGEMENT_ID INTEGER NOT NULL
	);

CREATE TABLE BCP_NAO.CUSTOMER_ARRANGEMENT (
		CUSTOMER_ID INTEGER NOT NULL,
		ARRANGEMENT_ID INTEGER NOT NULL
	);

CREATE TABLE BCP_NAO.ARRANGEMENT_ARRANGEMENT (
		ARRANGEMENT_ID INTEGER NOT NULL,
		ARRANGEMENT_ID1 INTEGER NOT NULL
	);

CREATE TABLE BCP_NAO.RESIDENCE_DETAILS (
		RESIDENCE_DETAILS_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		COUNTRY VARCHAR(20),
		YEARS VARCHAR(10),
		STATUS VARCHAR(20),
		CUSTOMER_ID INTEGER NOT NULL
	);

CREATE TABLE BCP_NAO.ARRANGEMENT_DOCS (
		ARRANGEMENT_DOCS_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		DOCUMENT VARCHAR(100),
		ARRANGEMENT_ID INTEGER NOT NULL
	);

CREATE TABLE BCP_NAO.EMPLOYMENT_DETAILS (
		EMPLOYMENT_DETAILS_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		TYPE VARCHAR(20),
		ANNUALINCOME BIGINT,
		EMPLOYERNAME VARCHAR(200),
		POSITION VARCHAR(120),
		HOMEPHONENUMBER VARCHAR(20),
		MOBILE VARCHAR(20),
		CUSTOMER_ID INTEGER NOT NULL,
		POSTAL_ADDRESS_ID INTEGER
	);

CREATE TABLE BCP_NAO.ARRANGEMENT (
		DESCRIPTION VARCHAR(120),
		ENDDATE DATE,
		INITIATION VARCHAR(20),
		INITIATIONNATURE VARCHAR(8),
		ISCOMPLIANT VARCHAR(1),
		LIFECYCLEPHASEINITIATION VARCHAR(20),
		LIFECYCLESTATUS VARCHAR(10),
		NAME VARCHAR(120),
		STARTDATE DATE,
		APPROVALDATE DATE,
		AMLMONITORINGDATE DATE,
		ARRANGEMENT_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		CUSTOMER_ID INTEGER NOT NULL,
		APPLICATIONNUMBER VARCHAR(50),
		ACCOUNTNUMBER VARCHAR(50),
		ACCOUNTTYPE VARCHAR(20),
		PRODUCT VARCHAR(50),
		CARD VARCHAR(10),
		INTERNETBANKING VARCHAR(1),
		IVR VARCHAR(1),
		CHECKBOOK VARCHAR(1),
		CHECKQUANTITY INTEGER,
		OPERATINGINSTRUCTION VARCHAR(30),
		APPROVEDBY VARCHAR(10),
		DEPOSITDATE DATE
	);

CREATE TABLE BCP_NAO.POSTAL_ADDRESS (
		POSTAL_ADDRESS_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		ADDRESSLINE1 VARCHAR(120),
		ADDRESSLINE2 VARCHAR(120),
		CITY VARCHAR(50),
		STATE VARCHAR(50),
		COUNTRY VARCHAR(50),
		POSTALCODE VARCHAR(20)
	);

CREATE TABLE BCP_NAO.CUSTOMER (
		CREDITWORTHINESS VARCHAR(16),
		IMPORTANCELEVEL BIGINT,
		LIFECYCLESTATUS VARCHAR(11),
		CUSTOMER_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 10000000 ,INCREMENT BY 1),
		POSTAL_ADDRESS_ID INTEGER,
		ENDDATE DATE,
		STARTDATE DATE,
		ENDREASON VARCHAR(120),
		LOGINID VARCHAR(20),
		DATEOFBIRTH DATE,
		GENDER VARCHAR(7),
		MARITALSTATUS VARCHAR(31),
		SSN VARCHAR(20),
		AGE VARCHAR(5),
		CITIZENSHIPCOUNTRY VARCHAR(20),
		RESIDENCESTATUSOFUS VARCHAR(20),
		RELATIONSHIPMANAGER VARCHAR(120),
		RELATIONSHIPCODE VARCHAR(20),
		CUSTOMERSTATUS VARCHAR(20),
		NEWCUSTOMER VARCHAR(1),
		FIRSTNAME VARCHAR(120),
		INITIALS VARCHAR(120),
		LASTNAME VARCHAR(120),
		MIDDLENAMES VARCHAR(120),
		PREFIXTITLE VARCHAR(5),
		SHORTFIRSTNAME VARCHAR(120),
		SUFFIXTITLE VARCHAR(120),
		DESCRIPTION VARCHAR(120),
		FULLNAME VARCHAR(120),
		USAGE VARCHAR(14),
		ALIASTYPE VARCHAR(17)
	);

CREATE TABLE BCP_NAO.CONTACT_DETAILS (
		CONTACT_DETAILS_ID INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		HOMEPHONENUMBER VARCHAR(20),
		MOBILE VARCHAR(20),
		EMAIL VARCHAR(120),
		PREFERREDLANGUAGE VARCHAR(50),
		PREFERREDMEDIUM VARCHAR(50),
		PREFERREDTIMEPERIOD VARCHAR(120),
		CUSTOMER_ID INTEGER NOT NULL
	);

ALTER TABLE BCP_NAO.ARRANGEMENT_ARRANGEMENT ADD CONSTRAINT ARNGMNT_ARNGMNT_PK PRIMARY KEY (ARRANGEMENT_ID, ARRANGEMENT_ID1);

ALTER TABLE BCP_NAO.RESIDENCE_DETAILS ADD CONSTRAINT RESIDENCE_DETAILS_PK PRIMARY KEY (RESIDENCE_DETAILS_ID);

ALTER TABLE BCP_NAO.ARRANGEMENT_DOCS ADD CONSTRAINT ARRANGEMENT_DOCS_PK PRIMARY KEY (ARRANGEMENT_ID, ARRANGEMENT_DOCS_ID);

ALTER TABLE BCP_NAO.EMPLOYMENT_DETAILS ADD CONSTRAINT EMPLOYMENT_DETAILS_PK PRIMARY KEY (EMPLOYMENT_DETAILS_ID);

ALTER TABLE BCP_NAO.CONTACT_DETAILS ADD CONSTRAINT CONTACT_DETAILS_PK PRIMARY KEY (CONTACT_DETAILS_ID);

ALTER TABLE BCP_NAO.ACCOUNT_STMNT ADD CONSTRAINT ACCOUNT_STMNT_PK PRIMARY KEY (ARRANGEMENT_ID, ACCOUNT_STMNT_ID);

ALTER TABLE BCP_NAO.CUSTOMER_ARRANGEMENT ADD CONSTRAINT CUSTOMER_ARRANGEMENT_PK PRIMARY KEY (CUSTOMER_ID, ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.POSTAL_ADDRESS ADD CONSTRAINT POSTAL_ADDRESS_PK PRIMARY KEY (POSTAL_ADDRESS_ID);

ALTER TABLE BCP_NAO.CUSTOMER ADD CONSTRAINT CUSTOMER_PK PRIMARY KEY (CUSTOMER_ID);

ALTER TABLE BCP_NAO.TERM ADD CONSTRAINT TERM_PK PRIMARY KEY (TERM_ID);

ALTER TABLE BCP_NAO.ARRANGEMENT ADD CONSTRAINT ARRANGEMENT_PK PRIMARY KEY (ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.ARRANGEMENT_ARRANGEMENT ADD CONSTRAINT ARNGMNT_ARNGMNT_ARNGMNT_FK FOREIGN KEY (ARRANGEMENT_ID)
	REFERENCES BCP_NAO.ARRANGEMENT (ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.ACCOUNT_STMNT ADD CONSTRAINT ACCOUNT_STMNT_ARNGMNT_FK FOREIGN KEY (ARRANGEMENT_ID)
	REFERENCES BCP_NAO.ARRANGEMENT (ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.CUSTOMER_ARRANGEMENT ADD CONSTRAINT CUSTOMER_ARNGMNT_ARNGMNT_FK FOREIGN KEY (ARRANGEMENT_ID)
	REFERENCES BCP_NAO.ARRANGEMENT (ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.EMPLOYMENT_DETAILS ADD CONSTRAINT EMPLOYMENT_DETAILS_POSTAL_ADDRESS_FK FOREIGN KEY (POSTAL_ADDRESS_ID)
	REFERENCES BCP_NAO.POSTAL_ADDRESS (POSTAL_ADDRESS_ID);

ALTER TABLE BCP_NAO.ARRANGEMENT_ARRANGEMENT ADD CONSTRAINT ARNGMNT_ARNGMNT_ARNGMNT_FK1 FOREIGN KEY (ARRANGEMENT_ID1)
	REFERENCES BCP_NAO.ARRANGEMENT (ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.TERM ADD CONSTRAINT TERM_ARNGMNT_FK FOREIGN KEY (ARRANGEMENT_ID)
	REFERENCES BCP_NAO.ARRANGEMENT (ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.CUSTOMER ADD CONSTRAINT CUSTOMER_POSTAL_ADDRESS_FK FOREIGN KEY (POSTAL_ADDRESS_ID)
	REFERENCES BCP_NAO.POSTAL_ADDRESS (POSTAL_ADDRESS_ID);

ALTER TABLE BCP_NAO.ARRANGEMENT ADD CONSTRAINT ARRANGEMENT_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES BCP_NAO.CUSTOMER (CUSTOMER_ID);

ALTER TABLE BCP_NAO.CUSTOMER_ARRANGEMENT ADD CONSTRAINT CUSTOMER_ARNGMNT_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES BCP_NAO.CUSTOMER (CUSTOMER_ID);

ALTER TABLE BCP_NAO.RESIDENCE_DETAILS ADD CONSTRAINT RESIDENCE_DETAILS_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES BCP_NAO.CUSTOMER (CUSTOMER_ID);

ALTER TABLE BCP_NAO.EMPLOYMENT_DETAILS ADD CONSTRAINT EMPLOYMENT_DETAILS_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES BCP_NAO.CUSTOMER (CUSTOMER_ID);

ALTER TABLE BCP_NAO.ARRANGEMENT_DOCS ADD CONSTRAINT ARRANGEMENT_DOCS_ARNGMNT_FK FOREIGN KEY (ARRANGEMENT_ID)
	REFERENCES BCP_NAO.ARRANGEMENT (ARRANGEMENT_ID);

ALTER TABLE BCP_NAO.CONTACT_DETAILS ADD CONSTRAINT CONTACT_DETAILS_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES BCP_NAO.CUSTOMER (CUSTOMER_ID);

-- sample test data for Adam user

-- Address
INSERT INTO BCP_NAO.POSTAL_ADDRESS
  ( ADDRESSLINE1,
    ADDRESSLINE2,
    CITY,
    STATE,
    COUNTRY,
    POSTALCODE )
  VALUES (
     'Street No. 12',
     'Block No. 3',
     'Austin',
     'TX',
     'US',
     '78760');

INSERT INTO BCP_NAO.POSTAL_ADDRESS
  ( ADDRESSLINE1,
    ADDRESSLINE2,
    CITY,
    STATE,
    COUNTRY,
    POSTALCODE )
  VALUES (
    'Street No. 23',
     'Block No. 8',
     'Houston',
     'TX',
     'US',
     '77231');

-- Customer
INSERT INTO BCP_NAO.CUSTOMER 
  ( POSTAL_ADDRESS_ID, 
    DATEOFBIRTH, 
    GENDER, 
    MARITALSTATUS, 
    SSN, 
    CITIZENSHIPCOUNTRY, 
    RESIDENCESTATUSOFUS, 
    RELATIONSHIPMANAGER, 
    RELATIONSHIPCODE, 
    CUSTOMERSTATUS, 
    NEWCUSTOMER, 
    LOGINID, 
    ALIASTYPE, 
    FIRSTNAME, 
    LASTNAME, 
    PREFIXTITLE ) 
  VALUES 
  ( 1,
    '1934-02-04',
    'Male',
    'Married',
    '123-67-9982',
    'US',
    'Citizen/PR',
    'Samantha',
    '10098',
    'Platinum',
    'N',
    'Adam',
    NULL,
    'Adam',
    'Smith',
    'Mr' );
    
-- Contact Details
INSERT INTO BCP_NAO.CONTACT_DETAILS
  ( HOMEPHONENUMBER,
    MOBILE,
    EMAIL,
    PREFERREDLANGUAGE,
    PREFERREDMEDIUM,
    PREFERREDTIMEPERIOD,
    CUSTOMER_ID )
  VALUES
   ( '(987) 234-9876',
     '9876123498',
     'adam@ibm.com',
     'English',
     'email',
     '9AM - 6PM',
     10000000 );
     
-- Residence Details
INSERT INTO BCP_NAO.RESIDENCE_DETAILS
  ( COUNTRY,
    YEARS,
    STATUS,
    CUSTOMER_ID )
  VALUES
   ( 'US',
      '20',
      'Resident',
      10000000 );
      
-- Employment Details
INSERT INTO BCP_NAO.EMPLOYMENT_DETAILS
  ( TYPE,
    ANNUALINCOME,
    EMPLOYERNAME,
    POSITION,
    HOMEPHONENUMBER,
    MOBILE,
    CUSTOMER_ID,
    POSTAL_ADDRESS_ID )
  VALUES 
   ( 'Salaried',
     100000,
     'IBM Corporation',
     'Manager',
     '(987) 245-9981',
     '9657765657',
     10000000,
     2);     

COMMIT WORK;
CONNECT RESET;
TERMINATE;

